Subject: CVS commit: pkgsrc/archivers/py-zstandard
From: Adam Ciarcinski
Date: 2019-09-19 18:50:58
Message id: 20190919165058.15A86FBF4@cvs.NetBSD.org

Log Message:
py-zstandard: updated to 0.12.0

0.12.0:

Backwards Compatibility Notes
* Support for Python 3.4 has been dropped since Python 3.4 is no longer
  a supported Python version upstream. (But it will likely continue to
  work until Python 2.7 support is dropped and we port to Python 3.5+
  APIs.)

Bug Fixes
* Fix ``ZstdDecompressor.__init__`` on 64-bit big-endian systems.
* Fix memory leak in ``ZstdDecompressionReader.seek()``.

Changes
* CI transitioned to Azure Pipelines (from AppVeyor and Travis CI).
* Switched to ``pytest`` for running tests (from ``nose``).
* Bundled zstandard library upgraded from 1.3.8 to 1.4.3.

Files:
RevisionActionfile
1.1removepkgsrc/archivers/py-zstandard/patches/patch-zstd_compress_zstd__compress.c
1.1removepkgsrc/archivers/py-zstandard/patches/patch-zstandard_cffi.py
1.1removepkgsrc/archivers/py-zstandard/patches/patch-c-ext_compressionparams.c
1.3modifypkgsrc/archivers/py-zstandard/patches/patch-zstd.c
1.12modifypkgsrc/archivers/py-zstandard/distinfo
1.12modifypkgsrc/archivers/py-zstandard/Makefile